

define fadeSlow = Fade(0.8, 1.0, 1)
define fadeQuick = Fade(0.3, 0.8, 0.3)
define fadeFast = Fade(0.2, 0.3, 0)

default background = "modAdditions/images/ShaddyBackground.jpg"

    #if _in_replay:
        #$ mcNameRed = persistent.galleryMCName
        #$ mcRedT = persistent.galleryMCName
        #$ aNameRed = persistent.galleryMomName
        #$ bNameRed = persistent.gallerySisName
        #$ aDesRed = 99
        #$ bDesRed = 99

    #if _in_replay:
        #scene black with fadeSlow
        #$ renpy.end_replay()


screen sceneReplay1():
    tag menu
    modal True
    add im.FactorScale("ShaddyModda/images/ShaddyBackground.jpg", 1.0) xcenter 0.5 ycenter 0.5

    $ gallery_scene_list=[]
    $ gallery_scene_list.append(["Ch1","images/ch1/Ch1_3.jpg"])
    $ gallery_scene_list.append(["scene002","images/ch1/Ch1_85.jpg"])
    $ gallery_scene_list.append(["scene003","images/ch1/Ch1_330.jpg"])
    $ gallery_scene_list.append(["scene004","images/ch2/Ch2_68.jpg"])
    $ gallery_scene_list.append(["scene005","images/ch2/Ch2_199.jpg"])
    $ gallery_scene_list.append(["scene006","images/ch3/Ch3_105.jpg"])
    $ gallery_scene_list.append(["scene007","images/ch3/Ch3_185.jpg"])
    $ gallery_scene_list.append(["scene008","images/ch3/Ch3_213.jpg"])
    $ gallery_scene_list.append(["scene009","images/ch4/Ch4_4.jpg"])
    $ gallery_scene_list.append(["Ch4_AfterMarie2","images/ch4/Ch4_138.jpg"])
    $ gallery_scene_list.append(["Ch4_Sunbathing","images/ch4/Ch4_231.jpg"])
    $ gallery_scene_list.append(["Ch4_Survivor","images/ch4/Ch4_408.jpg"])


    text "ShaddyModda's Scene Gallery":
        style "shaddyHeader"
        xcenter 0.5
        ycenter 50

    textbutton "Page 1":
        text_style "shaddyTextButton"
        pos(0.41,0.94)
        action Show("sceneReplay1")

    textbutton "Page 2":
        text_style "shaddyTextButton"
        pos(0.51,0.94)
        action Show("sceneReplay2")

    #textbutton "Page 3":
        #text_style "shaddyTextButton"
        #pos(0.55,0.94)
        #action Show("sceneReplay3")

    textbutton _("Name\nChange"):
        text_style "shaddyTextButton"
        pos(0.01,0.9)
        action [ui.callsinnewcontext("galleryRename")]

    textbutton "RETURN":
        text_style "shaddyTextButton"
        pos(0.894, 0.895)
        action Hide("sceneGalleryMenu"), Return()#, ShowMenu("main_menu")

    textbutton "Patreon":
        text_style "shaddyTextButton"
        pos(0.88,0.94)
        action OpenURL("https://www.patreon.com/shaddymodda")


    vpgrid:
        cols 4
        xspacing 50
        yspacing 20
        pos (311, 400)

        for i in gallery_scene_list:
            imagebutton:
                idle im.FactorScale(i[1], 0.15)
                hover im.FactorScale(im.MatrixColor(i[1], im.matrix.brightness(0.2)), 0.15)
                action Replay(i[0], locked=False)


screen sceneReplay2():
    tag menu
    modal True
    add im.FactorScale("ShaddyModda/images/ShaddyBackground.jpg", 1.0) xcenter 0.5 ycenter 0.5

    $ gallery_scene_list=[]
    $ gallery_scene_list.append(["scene013","images/ch5/Ch5_44.jpg"])
    $ gallery_scene_list.append(["scene014","images/ch5/Ch5_72.jpg"])
    $ gallery_scene_list.append(["scene015","images/ch5/Ch5_255.jpg"])
    $ gallery_scene_list.append(["scene016","images/ch5/Ch5_349.jpg"])
    $ gallery_scene_list.append(["TheSexShop","images/ch5/Ch5_426.jpg"])
    #$ gallery_scene_list.append(["scene018","images/ch1/qw0.jpg"])
    #$ gallery_scene_list.append(["scene020","images/ch1/szene8/xx.jpg"])
    #$ gallery_scene_list.append(["scene021","images/ch1/bu41.jpg"])
    #$ gallery_scene_list.append(["scene022","images/ch1/bu4.jpg"])
    #$ gallery_scene_list.append(["scene023","images/ch1/ak48.jpg"])
    #$ gallery_scene_list.append(["scene024","images/ch1/ok48.jpg"])
    #$ gallery_scene_list.append(["scene025","images/ch1/ya2.jpg"])
    #$ gallery_scene_list.append(["scene026","images/ch1/ay2.jpg"])


    text "ShaddyModda's Scene Gallery":
        style "shaddyHeader"
        xcenter 0.5
        ycenter 50

    textbutton "Page 1":
        text_style "shaddyTextButton"
        pos(0.41,0.94)
        action Show("sceneReplay1")

    textbutton "Page 2":
        text_style "shaddyTextButton"
        pos(0.51,0.94)
        action Show("sceneReplay2")

    #textbutton "Page 3":
        #text_style "shaddyTextButton"
        #pos(0.55,0.94)
        #action Show("sceneReplay3")

    textbutton _("Name\nChange"):
        text_style "shaddyTextButton"
        pos(0.01,0.9)
        action [ui.callsinnewcontext("galleryRename")]

    textbutton "RETURN":
        text_style "shaddyTextButton"
        pos(0.894, 0.895)
        action Hide("sceneGalleryMenu"), Return()#, ShowMenu("main_menu")

    textbutton "Patreon":
        text_style "shaddyTextButton"
        pos(0.88,0.94)
        action OpenURL("https://www.patreon.com/shaddymodda")


    vpgrid:
        cols 4
        xspacing 50
        yspacing 20
        pos (311, 400)

        for i in gallery_scene_list:
            imagebutton:
                idle im.FactorScale(i[1], 0.15)
                hover im.FactorScale(im.MatrixColor(i[1], im.matrix.brightness(0.2)), 0.15)
                action Replay(i[0], locked=False)


#screen sceneReplay3():
    #tag menu
    #modal True

    #use game_menu(_("                        {font=ShaddyModda/shadybold.ttf}[Blue]ShaddyModda's Gallery")):
        #$ gallery_scene_list=[]
        #$ gallery_scene_list.append(["scene027","images/ch1/ay30.jpg"])
        #$ gallery_scene_list.append(["scene028","images/ch1/qw0.jpg"])

        #textbutton "{size=35}[Blue]Page 1{/size}" action [Show("sceneReplay1")] pos(0.001,0.85) text_font "ShaddyModda/shadybold.ttf" style "modTextBody1"
        #textbutton "{size=35}[Blue]Page 2{/size}" action [Show("sceneReplay2")] pos(0.1,0.85) text_font "ShaddyModda/shadybold.ttf" style "modTextBody1"
        #textbutton "{size=35}[Blue]Page 3{/size}" action [Show("sceneReplay3")] pos(0.2,0.85) text_font "ShaddyModda/shadybold.ttf" style "modTextBody1"
        #textbutton _("{size=35}[Blue]Change Name{/size}") action Call ("galleryNameChange") pos(0.001,0.9) text_font "ShaddyModda/shadybold.ttf" style "modTextBody1"
        #textbutton "{size=35}[Blue]ShaddyModda's Patreon{/size}" action OpenURL("https://www.patreon.com/shaddymodda") pos(0.001,0.94) text_font "ShaddyModda/shadybold.ttf" style "modTextBody1"

        #vpgrid:
            #rows 3
            #cols 3
            #spacing 35

            #for i in gallery_scene_list:
                #imagebutton:
                    #idle Transform ((i[1]),zoom=0.19)
                    #hover Transform(im.MatrixColor(i[1],im.matrix.brightness(0.18)), zoom=0.19)

                    #action Replay(i[0],locked=False)
